Page MenuHomePhabricator

Correct the directionality and contents of the textbox placeholders in New Item form
Closed, ResolvedPublic

Description

After logging into Wikidata, go to https://www.wikidata.org/wiki/Special:NewItem?uselang=en and from the language dropdown, select "ar" for Arabic. The placeholders for the textboxes in the form will look like below:

If this is meant to be a text in English, then its directionality shouldn't be changed to right-to-left.

Conversely, if the reason we are showing the local name of the language (ie. "العربية") is because we want the user to is about to enter a text in the selected language (and, after all, Arabic is an RTL language) then the entire placeholder should be replaced with an Arabic phrase that reads well in RTL (e.g. "أدخل التعريف بـالعربية" for the Label box, etc.)

In either case, having a placeholder in two languages is cute but useless. All of the placeholder string should be in one language.

Event Timeline

Huji created this task.May 27 2020, 9:30 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 27 2020, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Huji updated the task description. (Show Details)May 27 2020, 9:32 PM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jun 2 2020, 1:15 PM

Why bidi is so fun?
I looked at a little. We can use ::placeholder pseudo-element while it's not supported in IE: https://caniuse.com/#search=%3A%3Aplaceholder

Even if you use that, the result will be this beauty (which is wrong in so many levels):

One idea would be to move it out of placeholder and add it tooltip, etc. Or just remove it, Or set language names to be in the user language (Is it even possible?). In general, it seems really complicated, unless I'm missing something obvious.

Huji added a comment.Jun 4 2020, 8:45 PM

Why not show a completely localized sentence? We already have the messages for it.

Why not show a completely localized sentence? We already have the messages for it.

That's also an option, I don't know if the i18n code pre-fetches the page messages for all languages but that's probably fixable.

Change 615705 had a related patch set uploaded (by Guergana Tzatchkova; owner: Guergana Tzatchkova):
[mediawiki/extensions/Wikibase@master] Correct directionality and language of placeholders in New Item

https://gerrit.wikimedia.org/r/615705

Change 615705 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Correct directionality and language of placeholders in New Item

https://gerrit.wikimedia.org/r/615705